Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class FilterInfo

    java.lang.Object
      jet.api.FilterInfo

    public class FilterInfo

extends java.lang.Object

This class defines an advanced filter in group level.

Field Summary
`static java.lang.String` | `FUNCTION_EXIST` Constant of function.
`static java.lang.String` | `FUNCTION_MAX` Constant of function.
`static java.lang.String` | `FUNCTION_MIN` Constant of function.
`static java.lang.String` | `LOGIC_AND` Constant of more logic.
`static java.lang.String` | `LOGIC_END` Constant of more logic.
`static java.lang.String` | `LOGIC_OR` Constant of more logic.
`static java.lang.String` | `OPERATOR_EQUALS` Constant of operator.
`static java.lang.String` | `OPERATOR_LESSQUALS` Constant of operator.
`static java.lang.String` | `OPERATOR_LESSTHAN` Constant of operator.
`static java.lang.String` | `OPERATOR_MOREEQUALS` Constant of operator.
`static java.lang.String` | `OPERATOR_MORETHAN` Constant of operator.
`static java.lang.String` | `OPERATOR_NOTEQUALS` Constant of operator.

Constructor Summary
`FilterInfo(boolean ignoreRecordsOutRange, java.lang.String function, java.lang.String fieldName1, java.lang.String fieldName2, java.lang.String operator, java.lang.String value, java.lang.String moreLogic)` Constructs a condition filter for the group.

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getFieldName1()` Gets the field to be aggregated on.
`java.lang.String` | `getFieldName2()` Gets the criteria of the filter.
`java.lang.String` | `getFunction()` Gets the function to aggregate on a certain field.
`java.lang.String` | `getMore()` Gets the logic relationship between this filter and next one.
`java.lang.String` | `getOperator()` Gets the operator to compose the filter expression.
`java.lang.String` | `getValue()` Gets the value used in the filter condition.
`boolean` | `isNot()` Gets whether to evaluate the records that are not in the record aggregate.
`void` | `setFieldName1(java.lang.String fieldName1)` Specifies the field to be aggregated on.
`void` | `setFieldName2(java.lang.String fieldName2)` Specifies the criteria of the filter.
`void` | `setFunction(java.lang.String function)` Specifies the function to aggregate on a certain field.
`void` | `setMore(java.lang.String moreLogic)` Specifies the logic relationship between this filter and the next one.
`void` | `setNot(boolean ignoreRecordsOutRange)` Specifies whether to evaluate the records that are not in the record aggregate.
`void` | `setOperator(java.lang.String operator)` Specifies the operator to compose the filter expression.
`void` | `setValue(java.lang.String value)` Specifies the value used in the filter condition.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPERATOR_EQUALS

    public static final java.lang.String OPERATOR_EQUALS

  Constant of operator.

### OPERATOR_MOREEQUALS

    public static final java.lang.String OPERATOR_MOREEQUALS

  Constant of operator.

### OPERATOR_MORETHAN

    public static final java.lang.String OPERATOR_MORETHAN

  Constant of operator.

### OPERATOR_LESSTHAN

    public static final java.lang.String OPERATOR_LESSTHAN

  Constant of operator.

### OPERATOR_LESSQUALS

    public static final java.lang.String OPERATOR_LESSQUALS

  Constant of operator.

### OPERATOR_NOTEQUALS

    public static final java.lang.String OPERATOR_NOTEQUALS

  Constant of operator.

### FUNCTION_MIN

    public static final java.lang.String FUNCTION_MIN

  Constant of function. Evaluates the records that have the lowest values for the specified field.

  See Also:
    Constant Field Values

### FUNCTION_MAX

    public static final java.lang.String FUNCTION_MAX

  Constant of function. Evaluates the records that have the largest values for the specified field.

  See Also:
    Constant Field Values

### FUNCTION_EXIST

    public static final java.lang.String FUNCTION_EXIST

  Constant of function. Checks if there exists at least one qualified record.

  See Also:
    Constant Field Values

### LOGIC_AND

    public static final java.lang.String LOGIC_AND

  Constant of more logic.

### LOGIC_OR

    public static final java.lang.String LOGIC_OR

  Constant of more logic.

### LOGIC_END

    public static final java.lang.String LOGIC_END

  Constant of more logic.

Constructor Detail

### FilterInfo

    public FilterInfo(boolean ignoreRecordsOutRange,
                      java.lang.String function,
                      java.lang.String fieldName1,
                      java.lang.String fieldName2,
                      java.lang.String operator,
                      java.lang.String value,
                      java.lang.String moreLogic)

  Constructs a condition filter for the group.

  Parameters:
    `ignoreRecordsOutRange` - Specifies whether to evaluate the records that are not in the record aggregate.
    `function` - Specifies the function to aggregate on a certain field.
    `fieldName1` - Specifies the field to be aggregated on.
    `fieldName2` - Specifies the criteria of the filter.
    `operator` - Specifies the operator to compose the filter expression.
    `value` - Specifies the value used in the filter condition. The value also can be a mapping name of a parameter.
    `moreLogic` - Specifies the logic relationship between this filter and the next one.

Method Detail

### setNot

    public void setNot(boolean ignoreRecordsOutRange)

  Specifies whether to evaluate the records that are not in the record aggregate.

  Parameters:
    `ignoreRecordsOutRange` - If `true`, does not evaluate the records that are not in the record aggregate.

### isNot

    public boolean isNot()

  Gets whether to evaluate the records that are not in the record aggregate.

  Returns:
    `true` if the engine does not evaluate the records that are not in the record aggregate; `false` otherwise.

### setFunction

    public void setFunction(java.lang.String function)

  Specifies the function to aggregate on a certain field.

  Parameters:
    `function` - The function to aggregate on a certain field.
  See Also:
    `#FUNCTION_MIN},{@link #FUNCTION_MAX},{@link #FUNCTION_EXIST}`

### getFunction

    public java.lang.String getFunction()

  Gets the function to aggregate on a certain field.

  Returns:
    the function string to aggregate on a certain field.

### setFieldName1

    public void setFieldName1(java.lang.String fieldName1)

  Specifies the field to be aggregated on.

  Parameters:
    `fieldName1` - The field to be aggregated on.

### getFieldName1

    public java.lang.String getFieldName1()

  Gets the field to be aggregated on.

  Returns:
    the field to be aggregated on.

### setFieldName2

    public void setFieldName2(java.lang.String fieldName2)

  Specifies the criteria of the filter.

  Parameters:
    `fieldName2` - The criteria of the filter.

### getFieldName2

    public java.lang.String getFieldName2()

  Gets the criteria of the filter.

  Returns:
    the criteria of the filter.

### setOperator

    public void setOperator(java.lang.String operator)

  Specifies the operator to compose the filter expression.

  Parameters:
    `operator` - The operator to compose the filter expression.
  See Also:
    `#OPERATOR_EQUALS}, {@link #OPERATOR_LESSQUALS}, {@link #OPERATOR_LESSTHAN}, {@link #OPERATOR_MOREEQUALS}, {@link #OPERATOR_MORETHAN}, {@link #OPERATOR_NOTEQUALS}`

### getOperator

    public java.lang.String getOperator()

  Gets the operator to compose the filter expression.

  Returns:
    Specifies the operator to compose the filter expression.

### setValue

    public void setValue(java.lang.String value)

  Specifies the value used in the filter condition.

  Parameters:
    `value` - The value used in the filter condition. The value also can be a mapping name of a parameter.

### getValue

    public java.lang.String getValue()

  Gets the value used in the filter condition.

  Returns:
    the value used in the filter condition

### setMore

    public void setMore(java.lang.String moreLogic)

  Specifies the logic relationship between this filter and the next one.

  Parameters:
    `moreLogic` - The logic relationship between this filter and the next one.
  See Also:
    `#LOGIC_AND},{@link #LOGIC_OR}, {@link #LOGIC_END}.`

### getMore

    public java.lang.String getMore()

  Gets the logic relationship between this filter and next one.

  Returns:
    the String value of the logic relationship between this filter and the next one.

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD